"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var fs = require("fs");
var CachedStat = (function () {
    function CachedStat() {
        this.statCache = new Map();
    }
    CachedStat.prototype.statSync = function (path) {
        if (this.statCache.has(path)) {
            return this.statCache.get(path);
        }
        var stat = this.statSyncUncached(path);
        if (stat !== null) {
            this.statCache.set(path, stat);
        }
        return stat;
    };
    CachedStat.prototype.isFile = function (path) {
        var stats = this.statSync(path);
        return stats != null && stats.isFile();
    };
    CachedStat.prototype.statSyncUncached = function (path) {
        try {
            return fs.statSync(path);
        }
        catch (e) {
            return null;
        }
    };
    return CachedStat;
}());
exports.CachedStat = CachedStat;
//# sourceMappingURL=cachedStat.js.map