"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslint_1 = require("tslint");
var typescript_1 = require("typescript");
function getIIFEExpressionBody(expression) {
    if (expression.kind === typescript_1.SyntaxKind.CallExpression) {
        var callExpression = expression;
        if (callExpression.expression.kind === typescript_1.SyntaxKind.ParenthesizedExpression) {
            var parensContentExpression = tslint_1.unwrapParentheses(callExpression.expression);
            if (parensContentExpression.kind === typescript_1.SyntaxKind.FunctionExpression || parensContentExpression.kind === typescript_1.SyntaxKind.ArrowFunction) {
                return parensContentExpression.body;
            }
        }
    }
    else if (expression.kind === typescript_1.SyntaxKind.ParenthesizedExpression) {
        var parensContentExpression = tslint_1.unwrapParentheses(expression);
        if (parensContentExpression.kind === typescript_1.SyntaxKind.CallExpression) {
            var calleeExpression = parensContentExpression.expression;
            if (calleeExpression.kind === typescript_1.SyntaxKind.FunctionExpression) {
                return calleeExpression.body;
            }
        }
    }
    return null;
}
exports.getIIFEExpressionBody = getIIFEExpressionBody;
//# sourceMappingURL=languageUtils.js.map